MODULE globvars
  IMPLICIT NONE

  !// Declare constant values
  INTEGER, PARAMETER                :: jmax = 101
  INTEGER, PARAMETER                :: ntl = 3
  INTEGER, PARAMETER                :: np = 4

  !// Array declarations
  REAL, DIMENSION(jmax)             :: x
  REAL, DIMENSION(jmax,ntl)         :: d
  REAL, DIMENSION(jmax,np)          :: dp
  REAL, DIMENSION(3)                :: cycles
  CHARACTER(LEN=80), DIMENSION(5)   :: argv

  !// Variable declarations
  REAL                              :: dx, dt
  REAL                              :: pi, d0
  REAL                              :: u0, x0
  REAL                              :: sw, arg
  REAL                              :: r1, r2, r3, r4
  REAL                              :: courantnr, c2
  REAL                              :: bell_dist

  INTEGER                           :: ntime
  INTEGER                           :: inew
  INTEGER                           :: in
  INTEGER                           :: iold
  INTEGER                           :: n2, n3, n4
  INTEGER                           :: n1c, ntmax


  CHARACTER(LEN=80)                 :: method

  LOGICAL                           :: interactive = .FALSE.

END MODULE globvars

